%define urlver %(echo %{version}|cut -d. -f1,2)

Summary:	Visual diff and merge tool
Name:		meld
Version:	3.22.2
Release:	1
License:	GPLv2+
Group:		File tools
Url:		https://meldmerge.org/
Source0:	https://ftp.gnome.org/pub/GNOME/sources/meld/%{urlver}/%{name}-%{version}.tar.xz
BuildRequires:	desktop-file-utils
BuildRequires:	gettext
BuildRequires:	intltool
BuildRequires:	itstool
BuildRequires:	meson
BuildRequires:	python3dist(distro)
BuildRequires:	pkgconfig(gtk+-3.0)
BuildRequires:	pkgconfig(gtksourceview-4)
BuildRequires:	pkgconfig(py3cairo)
BuildRequires:	pkgconfig(pygobject-3.0)
BuildRequires:	pkgconfig(python3)
Requires:	patch
Requires:	python3-gi
Requires:	python3-gi-cairo
Requires:	typelib(PangoFT2)
Requires:	typelib(GtkSource) = 4
BuildArch:	noarch

%description
Meld is a visual diff and merge tool targeted at developers. It helps you
compare files, directories, and version controlled projects. It provides
two-and three-way comparison of both files and directories, and the tabbed
interface allows you to open many diffs at once. Meld has has support for many
popular version control systems including Git, Mercurial, Bazaar, SVN and CVS.
The diff viewer lets you edit files in place (diffs update dynamically), and
a middle column shows detailed changes and allows merges. The margins show
location of changes for easy navigation.

%files -f %{name}.lang
%doc NEWS README.md
%license COPYING
%{_appdatadir}/org.gnome.Meld.appdata.xml
%{_bindir}/%{name}
%{_datadir}/applications/*
%{_datadir}/glib-2.0/schemas/org.gnome.%{name}.gschema.xml
%{_datadir}/mime/packages/org.gnome.Meld.xml
%{_datadir}/%{name}
%{_iconsdir}/*/*/*/
%{_mandir}/man?/meld.?.*
%{python3_sitelib}/%{name}/*

#----------------------------------------------------------------------------

%prep
%autosetup -p1

%build
%meson
%meson_build

%install
%meson_install

desktop-file-install \
	--dir %{buildroot}%{_datadir}/applications \
	--delete-original \
	--add-category="GTK" \
	--remove-category="Application" \
	%{buildroot}%{_datadir}/applications/org.gnome.Meld.desktop

rm -rf %{buildroot}%{_defaultdocdir}/%{name}-%{version}

%find_lang %{name} --with-gnome
